include:
  - project: additi/external/gitlab-templates-common
    file:
      - templates/rules.gitlab-ci.yml
      - templates/workflow.gitlab-ci.yml
      - templates/base.gitlab-ci.yml
      - templates/jobs/release.gitlab-ci.yml
    ref: 0.0.64

stages:
  - helm
  - release
  - deploy

helm:
  stage: helm
  trigger:
    include: helm.gitlab-ci.yml
    strategy: depend
  extends:
    - .rules:mr_and_default

release:
  stage: release
  extends:
    - .release
    - .rules:default_only
  variables:
    BUMP_TYPE: --patch

pages:
  stage: deploy
  script:
  - echo 'Nothing to do...'
  artifacts:
    paths:
    - public
  extends:
    - .rules:tag_only

